# Getting started

{% stepper %}
{% step %}

### create a [<mark style="color:blue;">developer account</mark>](https://developers.distance.tools)

Go to [developers.distance.tools](https://developers.distance.tools) and create a developer account. Developer portal is managed by Nadles. Learn more about [privacy policy.](/legal/privacy-policy.md#api-purchases)
{% endstep %}

{% step %}

### [<mark style="color:blue;">pick a plan</mark>](https://developers.distance.tools/pricing/) that fits your needs

See the [pricing page](https://developers.distance.tools/pricing/) and pick a [plan](https://developers.distance.tools/pricing/) that fits your needs. Payments and subscriptions are processed by Paddle. Learn more about [privacy policy](/legal/privacy-policy.md#api-purchases).
{% endstep %}

{% step %}

### create an <mark style="color:blue;">API key</mark>

Once you have created your [subscription](https://developers.distance.tools/pricing/subscriptions) click on an active subscription and scroll down to **Access keys** to show/edit/add/delete api keys.
{% endstep %}

{% step %}

### test & make <mark style="color:blue;">API requests</mark> &#x20;

Use the API [playground](/tools/api/api-reference.md) with your credentials to make [API requests](/tools/api/api-reference.md) and see example code.&#x20;

{% hint style="success" %}
Send your api key (available after [subscription](https://developers.distance.tools/pricing/subscriptions)) in the `X-Billing-Token` header with each API call.
{% endhint %}
{% endstep %}
{% endstepper %}

### Are you ready? Create your developer acount:

{% embed url="<https://developers.distance.tools>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.distance.tools/tools/api/getting-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
